{
  "Language": "Nederlands",
  "Code": "nl_NL",
  "Patterns": [
    {
      "Name": "Telefoonnummers",
      "Desc": "Dit patroon zoekt naar Nederlandse telefoonnummers, eventueel gescheiden door leestekens.",
      "ID": "phones.ptn",
      "Example": "Bijvoorbeeld:\n+31(0)30-1234567\n(0031)30-1234567\n(030)1234567\n030-123 45 67",
      "Value": "(\\b\\s?)(((\\(?)(\\+|00(\\s|\\s?\\-\\s?)?)31(\\s|\\s?-\\s?|\\s?\\)\\s?)?(\\(0\\)[-\\s]?)?|0)[1-9]((\\s|\\s?-\\s?)?[0-9])((\\s|\\s?-\\s?|\\s?\\)\\s?)?[0-9])((\\s|\\s?-\\s?|\\s?\\)\\s?)?([0-9]\\s?){5}[0-9]))(\\b)"
    },
    {
      "Name": "Creditcardnummers",
      "Desc": "Dit patroon zoekt naar 16-cijferige creditcardnummers, opeenvolgend of gescheiden door leestekens.",
      "ID": "credits.ptn",
      "Example": "Bijvoorbeeld:\n1234-5678-9012-3456\n1234567890123456\n1234 5678 9012 3456",
      "Value": "(\\b)(((\\d{4}(-|\\s|\\.|_)?){3}(\\d{3,4}))|(\\d{4}(-|\\s|\\.|_)?\\d{6}(-|\\s|\\.|_)?\\d{5}))(\\b)"
    },
    {
      "Name": "Burgerservicenummers (BSN)",
      "Desc": "Dit patroon zoekt naar burgerservicenummers met 9 cijfers.",
      "ID": "ssns.ptn",
      "Example": "Bijvoorbeeld:\n012345678",
      "Value": "(\\b)([0-9]{9})(\\b)"
    },
    {
      "Name": "E-mailadressen",
      "Desc": "Dit patroon zoekt naar e-mailadressen.",
      "ID": "emails.ptn",
      "Example": "Bijvoorbeeld:\nJan.Jansen@bedrijf.nl\nJan_Jansen_1234@bedrijf.org\njan-jansen@marketing.bedrijf.com",
      "Value": "([([a-zA-Z0-9_\\-\\.])*@([([a-zA-Z0-9_\\-\\.])+\\.([a-zA-Z\\.]+)"
    },
    {
      "Name": "Datumnotaties",
      "Desc": "Numerieke dag/maand of maand/dag, gevolgd door jaar; numeriek jaar, gevolgd door dag/maand of maand/dag; maand in woorden.",
      "ID": "dates.ptn",
      "Example": "Bijvoorbeeld:\n01-01-08 12/31/08 31.12.2008\n08-01-01 08/12/31 2008-12-31\n1 januari 2008 1 jan 08",
      "Value": "(\\b)(((\\d{1,2}(\\||\\-|\\.|\\s|\\\\|/|_)){2}\\d{2}(\\d{2})?)|(\\d{1,2}(\\||\\-|\\.|\\s|\\\\|/|_)(jan|feb|maa|mrt|apr|mei|jun|jul|aug|sep|sept|okt|nov|dec|januari|februari|maart|april|juni|juli|augustus|september|oktober|november|december)((\\||\\-|\\.|\\s|\\\\|/|_|,)(\\||\\-|\\.|\\s|\\\\|/|_|‘)?\\d{2}(\\d{2})?)?)|(\\d{2}(\\d{2})?((\\||\\-|\\.|\\s|\\\\|/|_)\\d{1,2}){2}))(\\b)"
    },
    {
      "Name": "IBAN-rekeningnummers",
      "Desc": "Dit patroon zoekt naar Nederlandse IBAN-rekeningnummers van 18 karakters, eventueel gescheiden door spaties.",
      "ID": "iban.ptn",
      "Example": "Bijvoorbeeld:\nNL89 INGB 0044 0532 01\nNL89INGB0044053201",
      "Value": "(\\b)(NL\\d{2}\\s?[a-zA-Z]{4}\\s?0\\d{3}\\s?\\d{4}\\s?\\d{2})(\\b)"
    },
    {
      "Name": "Postcodes",
      "Desc": "Dit patroon zoekt naar Nederlandse postcodes van 4 cijfers en 2 letters, eventueel gescheiden door een spatie.",
      "ID": "postcodes.ptn",
      "Example": "Bijvoorbeeld:\n3500 AA\n3500AA",
      "Value": "(\\b)[1-9][0-9]{3}[\\s]?[A-Za-z]{2}(\\b)"
    }	
  ]
}